[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'System' (#rtl)

# Cseg

Return code segment

## Declaration

Source position: systemh.inc line 826

`function Cseg: Word;`

## Description

CSeg returns the Code segment register. In Free Pascal, it returns always a zero, since Free Pascal is a 32/64 bit compiler.

## Errors

None.

## See also

DSeg |  | Return data segment
Seg |  | Return segment
Ofs |  | Return offset of a variable.
Ptr |  | Combine segment and offset to pointer

## Example

    Program Example13;

    { Program to demonstrate the CSeg function. }

    var W : word;

    begin
      W:=CSeg; {W:=0, provided for compatibility,
                      FPC is 32 bit.}
    end.

Documentation generated on: Feb 26 2014